package siprp.database.cayenne.objects;

import java.util.HashMap;

import siprp.database.cayenne.objects.auto._TrabalhadoresConsultas;
import siprp.medicina.MedicinaConstants;

public class TrabalhadoresConsultas extends _TrabalhadoresConsultas implements MedicinaConstants
{

	private static final long serialVersionUID = 1L;

	public String getEstadoString()
	{
		return isNew() ? isNewMessage : ((getEstado() == null || ESTADOS_CONSULTA_STR.length <= getEstado()) ? "" : ESTADOS_CONSULTA_STR[getEstado().intValue()]);
	}

	public String getDataString()
	{
		return getData() == null ? "(sem data definida)" : sdf.format( getData() );
	}

	@Override
	public String toString()
	{
		return "Consulta de " + getDataString() + ": " + getEstadoString();
	}

}
